Uploaded image for project: 'Subversion'
  1. Subversion
  2. SVN-4307

upgrade from 1.7 crashes if WC contains conflict

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: trunk
    • Fix Version/s: 1.8.0
    • Component/s: libsvn_wc
    • Labels:
      None

      Description

      If a 1.7 working copy that contains a conflict is upgraded to the 1.8 format,
      the upgrade doesn't work. 'svn' crashes with the following error:
      
      subversion/libsvn_subr/sqlite.c:834: (apr_err=235000)
      svn: E235000: In file 'subversion/libsvn_subr/sqlite.c' line 834: internal
      malfunction
      
      This seems to be a problem in upgrade support of the new conflict skel code.
      

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              stsp Stefan Sperling
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: